{# @var entries \App\Entity\ShoutboxEntry[] #}
{% if entries|length == 0 %}
    <i>{{ 'Die Shoutbox ist leer...'|trans({},'soul') }}</i>
{% else %}
    {% set last_day = ('now'|date('U')/86400)|round(0, 'floor') %}
    {% set this_day = last_day %}
    {% for entry in entries %}
        {% set log_day = (entry.timestamp.format('U')/86400)|round(0, 'floor') %}
        {% if log_day != last_day %}
            {% set last_day = log_day %}
            <div class="shout-separator">
                {% if (this_day - log_day) == 1 %}
                    {{ 'Vor 1 Tag'|trans({}, 'soul') }}
                {% else %}
                    {{ 'Vor {d} Tagen'|trans({'{d}': this_day - log_day}, 'soul') }}
                {% endif %}
            </div>
        {% endif %}
        <div class="shout-entry shout-entry-class-{{ entry.type }}">
            <span class="shout-part-time">{{ entry.timestamp.format('G:i') }}</span>
            <span class="shout-part-content">
                {% if entry.type == constant('App\\Entity\\ShoutboxEntry::SBEntryTypeChat') %}
                    <b>{{ entry.user1.name }} :</b> « {{ entry.text|raw }} »
                {% elseif entry.type == constant('App\\Entity\\ShoutboxEntry::SBEntryTypeInvite') %}
                    {{ '<b>{u1}</b> hat <b>{u2}</b> in die Koalition eingeladen.'|trans({'{u1}': entry.user1.name, '{u2}': entry.user2.name},'soul')|raw }}
                {% elseif entry.type == constant('App\\Entity\\ShoutboxEntry::SBEntryTypeJoin') %}
                    {{ '<b>{u1}</b> ist der Koalition soeben beigetreten!'|trans({'{u1}': entry.user1.name},'soul')|raw }}
                {% elseif entry.type == constant('App\\Entity\\ShoutboxEntry::SBEntryTypeLeave') %}
                    {% if entry.user2 is null %}
                        {{ '<b>{u1}</b> hat die Koalition verlassen.'|trans({'{u1}': entry.user1.name},'soul')|raw }}
                    {% else%}
                        {{ '<b>{u1}</b> hat <b>{u2}</b> aus der Koalition entfernt.'|trans({'{u1}': entry.user1.name, '{u2}': entry.user2.name},'soul')|raw }}
                    {% endif %}
                {% elseif entry.type == constant('App\\Entity\\ShoutboxEntry::SBEntryTypeTown') %}
                    {{ '<b>{u1}</b> hat sich soeben in die Stadt "<b>{town}</b>" eingeschrieben!'|trans({'{u1}': entry.user1.name, '{town}': entry.text},'soul')|raw }}
                {% else %}
                    ???
                {% endif %}
            </span>
        </div>
    {% endfor %}
{% endif %}
{{ include('ajax/flash.html.twig') }}